Summary: Peter Soos's ISO-8859-2 Type-1 fonts
Name: spfonts-l2
Version: 0.05
Release: 6
Copyright: non-free
Group: X11/fonts
BuildArchitectures: noarch
Source0: ftp.osb.hu:/pub/misc/fonts/local/latin-2/l2pfb005.zip
Source1: ftp.osb.hu:/pub/misc/fonts/local/latin-2/README.L2
Source2: ftp.osb.hu:/pub/misc/fonts/local/latin-2/OLVASSEL.L2
BuildRoot: /var/tmp/spfonts-l2-root
PreReq: /bin/grep /usr/bin/gawk

%changelog

* Mon Feb 08 1999 Peter Soos <sp@osb.hu>
- Moved to /usr/X11R6/lib/X11/fonts/ISO8859-2 directory found in
  RedHat Linux 5.2

* Mon Jul 13 1998 Peter Soos <sp@osb.hu>
- Corrected the permissions of document directory

* Wed Jun 24 1998 Peter Soos <sp@osb.hu>
- Using %attr to build the package as an ordinary user

* Tue Dec 12 1997 Peter Soos <sp@osb.hu>
- Moved to noarc architecture
- Now we use BuildRoot

%description
These fonts are ISO 8859-2 (Latin 2) versions of the popular Microsoft Arial, Courier New and Times New Roman fonts. I followed the font name convention of Microsoft CE fonts, but the name of my fonts ends with L2 referred to the encoding.

%prep
%setup -c -T
unzip $RPM_SOURCE_DIR/l2pfb005.zip

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/ISO8859-2/Type1
install *.pfb $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/ISO8859-2/Type1

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/fonts.scale ] ; then
	mkdir -p /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1;
	touch /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/fonts.scale
fi
grep -v "SP-.*-2$" /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/fonts.scale > /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/fonts.work
cat << EOF >> /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/fonts.work
arl2____.pfb -SP-arial-medium-r-normal--0-0-0-0-p-0-iso8859-2
arl2b___.pfb -SP-arial-bold-r-normal--0-0-0-0-p-0-iso8859-2
arl2bi__.pfb -SP-arial-bold-i-normal--0-0-0-0-p-0-iso8859-2
arl2i___.pfb -SP-arial-medium-i-normal--0-0-0-0-p-0-iso8859-2
cnl2____.pfb -SP-courier new-medium-r-normal--0-0-0-0-m-0-iso8859-2
cnl2b___.pfb -SP-courier new-bold-r-normal--0-0-0-0-m-0-iso8859-2
cnl2bi__.pfb -SP-courier new-bold-i-normal--0-0-0-0-m-0-iso8859-2
cnl2i___.pfb -SP-courier new-medium-i-normal--0-0-0-0-m-0-iso8859-2
tnrl2___.pfb -SP-times new roman-medium-r-normal--0-0-0-0-p-0-iso8859-2
tnrl2b__.pfb -SP-times new roman-bold-r-normal--0-0-0-0-p-0-iso8859-2
tnrl2bi_.pfb -SP-times new roman-bold-i-normal--0-0-0-0-p-0-iso8859-2
tnrl2i__.pfb -SP-times new roman-medium-i-normal--0-0-0-0-p-0-iso8859-2
EOF
gawk '{print(FNR==1)?$1+12:$0}' < /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/fonts.work > /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/fonts.scale
rm -f /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/fonts.work
mkfontdir /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1
if [ -e /etc/X11/XF86Config ] ; then
	grep -ve "\/ISO8859-2\/Type1" /etc/X11/XF86Config > /etc/X11/XF86Config.work
        # adding the new entries
        gawk '{if ($1=="Section" && $2=="\"Files\"") {INFILES=1}; if ($1=="EndSection" && INFILES==1) {print "    FontPath   \"/usr/X11R6/lib/X11/fonts/ISO8859-2/Type1\""; INFILES=0}; print $0}' /etc/X11/XF86Config.work > /etc/X11/XF86Config
        rm -f /etc/X11/XF86Config.work
fi


%postun
grep -v "SP-.*-2$" /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/fonts.scale > /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/fonts.work
gawk '{print(FNR==1)?$1-12:$0}' < /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/fonts.work > /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/fonts.scale
rm -f /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/fonts.work
mkfontdir /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1

%files
%attr(-, root, root) %doc $RPM_SOURCE_DIR/README.L2 $RPM_SOURCE_DIR/OLVASSEL.L2
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/arl2____.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/arl2b___.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/arl2bi__.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/arl2i___.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/cnl2____.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/cnl2b___.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/cnl2bi__.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/cnl2i___.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/tnrl2___.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/tnrl2b__.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/tnrl2bi_.pfb
%attr(644, root, root) /usr/X11R6/lib/X11/fonts/ISO8859-2/Type1/tnrl2i__.pfb
